1. Live Endpoints
PearlPOS
  • Inbound
    • postMasterdata
      POST
    • postPOSdata
      POST
  • Outbound
    • POSlog
      POST
  • Live Endpoints
    • getCustomers
      GET
    • getCustomerOrders
      GET
    • verifyDigitalArticle
      GET
    • purchaseDigitalArticle
      POST
    • getRelatedProducts
      GET
    • getSerialNumberVerification
      GET
    • getAvailableValueCodes
      GET
    • getValueCodes
      GET
    • getStockLevels
      GET
    • lookupPrices
      POST
    • lookupMargins
      POST
  1. Live Endpoints

lookupMargins

Developing
POST
/lookupMargins

Request

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/lookupMargins' \
--header 'Content-Type: application/json' \
--data-raw '{
    "customer": "string",
    "store": "string",
    "items": [
        {
            "itemNo": 0,
            "article": "string",
            "quantity": 0,
            "quantityUnit": "string",
            "salesPrice": 0,
            "currency": "string"
        }
    ]
}'
Response Response Example
{
    "marginAmountTotal": 0,
    "marginPercentTotal": 0,
    "items": [
        {
            "itemNo": 0,
            "salesAmount": 0,
            "costAmount": 0,
            "marginAmount": 0,
            "marginPercent": 0
        }
    ]
}
Modified at 2026-04-01 14:20:13
Previous
lookupPrices
Built with